SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Web Browser)  >   Apache Batik Vendors:   Apache Software Foundation
Batik Squiggle Scripting Error Lets Remote Users Access Resources
SecurityTracker Alert ID:  1013295
SecurityTracker URL:  http://securitytracker.com/id/1013295
CVE Reference:   CVE-2005-0508   (Links to External Site)
Date:  Feb 25 2005
Impact:   Disclosure of system information, Disclosure of user information, Modification of user information
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 1.5.1
Description:   A vulnerability was reported in Batik Squiggle browser. A remote user can bypass certain access control features.

The Batik Squiggle browser is affected by a vulnerability in the underlying Rhino scripting engine. A remote user can create a specially crafted script that, when loaded by the target user, will be able to gain access to resources (e.g., the file system) on the target user's system.

Impact:   A remote user can gain access to resources on the target user's system.
Solution:   The vendor has released a fixed version (1.5.1), available at:

http://www.apache.org/dyn/closer.cgi/xml/batik

Vendor URL:  xml.apache.org/batik/ (Links to External Site)
Cause:   Access control error
Underlying OS:  Java, Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC